Name:           perl-Apache-LogFormat-Compiler
Version:        0.13
Release:        1%{?dist}
Summary:        Compile a log format string to perl-code
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Apache-LogFormat-Compiler/
Source0:        http://www.cpan.org/authors/id/K/KA/KAZEBURO/Apache-LogFormat-Compiler-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008005
BuildRequires:  perl(Carp)
BuildRequires:  perl(HTTP::Request::Common)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Try::Tiny) >= 0.12
BuildRequires:  perl(URI::Escape) >= 1.60
BuildRequires:  perl(Time::Local)
BuildRequires:  perl(warnings)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n Apache-LogFormat-Compiler-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Sep 16 2013 Ralf Corsépius <corsepiu@fedoraproject.org> 0.13-1
- Initial fedora package.
